﻿<cfprocessingdirective pageencoding="utf-8" />
<cfsetting enablecfoutputonly="true" />

<cfparam name="url.project_cd" default="0001">

<cfobject component="pjmng.cmp.processmng" name="objProcessmng">

<!--- 工程削除 --->
<cfif StructKeyExists(url,'del_flg')>
	<cfinvoke component="#objProcessmng#" method="delProcess">
		<cfinvokeargument name="project_cd" value="#url.project_cd#"><!--- プロジェクトコード --->
		<cfinvokeargument name="process_cd" value="#url.process_cd#"><!--- 工程コード --->
		<cfinvokeargument name="process_seq" value="#url.process_seq#"><!--- 工程SEQ --->
	</cfinvoke>
</cfif>

<!--- プロジェクト情報取得 --->
<cfinvoke component="#objProcessmng#" method="getProjectInCode" returnvariable="retProjectInCode">
	<cfinvokeargument name="project_cd" value="#url.project_cd#"><!--- プロジェクトコード --->
</cfinvoke>

<!--- 工程一覧取得 --->
<cfinvoke component="#objProcessmng#" method="getProcessList" returnvariable="retProcessList">
	<cfinvokeargument name="project_cd" value="#url.project_cd#"><!--- プロジェクトコード --->
</cfinvoke>

<cfsetting enablecfoutputonly="false" />
<html>
<head>
	<title>PJ検索一覧</title>
	<link rel="stylesheet" href="./common/default.css" type="text/css">
	<cfinclude template="./common/meta.cfm">
</head>
<body>
<cfinclude template="./common/header.cfm">
<br />
<br />
<br />

<div align="center">
<cfform name="frm1" format="flash" skin="haloGreen" width="810">

<cfoutput query="retProjectInCode">
<cfformgroup type="horizontal" width="700">
	<cfformitem type="text" width="50">顧客名：</cfformitem>
	<cfformitem type="text" width="200">#CUSTOMER_NM#</cfformitem>
	<cfformitem type="text" width="70">プロジェクト名：</cfformitem>
	<cfformitem type="text" width="200">#PROJECT_NM#</cfformitem>
</cfformgroup>
</cfoutput>

<cfformgroup type="Panel" label="工程一覧"
        style="marginTop:20; marginBottom:20;
        headerColors:##8fbc8f, ##ffffff; cornerRadius:12;">

	<cfformgroup type="horizontal" width="780">
		<cfformitem type="text" width="30">No</cfformitem>
		<cfformitem type="text" width="30">編集</cfformitem>
		<cfformitem type="text" width="30">削除</cfformitem>
		<cfformitem type="text" width="60">工程</cfformitem>
		<cfformitem type="text" width="140">機能</cfformitem>
		<cfformitem type="text" width="60">担当</cfformitem>
		<cfformitem type="text" width="100">開始</cfformitem>
		<cfformitem type="text" width="100">終了</cfformitem>
		<cfformitem type="text" width="50">状況</cfformitem>
		<cfformitem type="text" width="80">備考</cfformitem>
	</cfformgroup>
	<cfformitem type="hrule" />
	<cfoutput>
	<cfloop query="retProcessList">
		<cfformgroup type="HBox" width="780">
			<cfformgroup type="VBox" width="30">
				<cfformitem type="spacer" height="7" />
				<cfformitem type="text"><cfoutput>#currentrow#</cfoutput></cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox" width="25">
				<cfformitem type="spacer" height="5" />
				<cfoutput>
					<cfinput type="button" name="list#currentrow#" value="E" width="18"
							onClick="getURL('http://localhost/pjmng/processmng02.cfm?project_cd=#PROJECT_CD#&process_cd=#PROCESS_CD#&process_seq=#PROCESS_SEQ#')">
				</cfoutput>
			</cfformgroup>
			<cfformgroup type="HBox" width="25">
				<cfformitem type="spacer" height="5" />
				<cfoutput>
					<cfinput type="button" name="del#currentrow#" value="D" width="18"
							onClick="getURL('http://localhost/pjmng/processmng01.cfm?project_cd=#PROJECT_CD#&process_cd=#PROCESS_CD#&process_seq=#PROCESS_SEQ#&del_flg=1')">
				</cfoutput>
			</cfformgroup>
			<cfformgroup type="HBox" width="60">
				<cfformitem type="spacer" height="7" />
				<cfformitem type="text">#PROCESS#</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox" width="140">
				<cfformitem type="spacer" height="7" />
				<cfformitem type="text">#FUNCTION_NM#</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox" width="60">
				<cfformitem type="spacer" height="7" />
				<cfformitem type="text">#EMPLOYEE_NM#</cfformitem>
			</cfformgroup>
			<cfformgroup type="VBox" width="100">
				<cfformitem type="text" height="15">（予）#DateFormat(EXPECTED_START,"yyyy/mm/dd")#</cfformitem>
				<cfformitem type="text" height="15">（実）#DateFormat(ACTUAL_START,"yyyy/mm/dd")#</cfformitem>
			</cfformgroup>
			<cfformgroup type="VBox" width="100">
				<cfformitem type="text" height="15">（予）#DateFormat(EXPECTED_END,"yyyy/mm/dd")#</cfformitem>
				<cfformitem type="text" height="15">（実）#DateFormat(ACTUAL_END,"yyyy/mm/dd")#</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox" width="80">
				<cfformitem type="spacer" height="7" />
				<cfformitem type="text">#STATUS_NM#</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox" width="80">
				<cfformitem type="spacer" height="7" />
				<cfformitem type="text">#NOTES#</cfformitem>
			</cfformgroup>
		</cfformgroup>
		<cfformitem type="hrule" />
	</cfloop>
	</cfoutput>
	<cfformgroup type="HBox" width="650">
		<cfformgroup type="HBox" width="30">
			<cfformitem type="text"><cfoutput>新規</cfoutput></cfformitem>
		</cfformgroup>
		<cfformgroup type="HBox" width="65">
			<cfinput type="button" name="create" value="CREATE" width="60" 
					onClick="getURL('http://localhost/pjmng/processmng02.cfm?project_cd=#PROJECT_CD#')">
		</cfformgroup>
	</cfformgroup>


</cfformgroup>

</cfform>

</div>
</body>
</html>