<cfprocessingdirective pageencoding="utf-8" />
<cfsetting enablecfoutputonly="true" />
<cfobject component="pjmng.cmp.processmng" name="objProcessmng">


<!--- 工程登録と工程編集それぞれの処理 --->
<cfif StructKeyExists(url,'process_cd') and StructKeyExists(url,'process_seq')>

	<!--- 工程更新 --->
	<cfinvoke component="#objProcessmng#" method="updProcess">
		<cfinvokeargument name="project_cd" value="#url.project_cd#"><!--- プロジェクトコード --->
		<cfinvokeargument name="process_cd" value="#form.process_cd#"><!--- 工程コード --->
		<cfinvokeargument name="process_seq" value="#url.process_seq#"><!--- 工程SEQ --->
		<cfinvokeargument name="function_nm" value="#form.function_nm#"><!--- 機能名 --->
		<cfinvokeargument name="exp_start_dt" value="#form.exp_start_dt#"><!--- 開始予定日 --->
		<cfinvokeargument name="exp_end_dt" value="#form.exp_end_dt#"><!--- 終了予定日 --->
		<cfinvokeargument name="act_start_dt" value="#form.act_start_dt#"><!--- 開始実績日 --->
		<cfinvokeargument name="act_end_dt" value="#form.act_end_dt#"><!--- 開始終了日 --->
		<cfinvokeargument name="emp_cd" value="#form.emp_cd#"><!--- 担当コード --->
		<cfinvokeargument name="status_cd" value="#form.status_cd#"><!--- 状況コード --->
		<cfinvokeargument name="notes" value="#form.notes#"><!--- 備考 --->
	</cfinvoke>
	
	<!--- 処理名 --->
	<cfset Variables.funcNm = "更新">
<cfelse>

	<!--- 工程登録 --->
	<cfinvoke component="#objProcessmng#" method="insProcess">
		<cfinvokeargument name="project_cd" value="#url.project_cd#"><!--- プロジェクトコード --->
		<cfinvokeargument name="process_cd" value="#form.process_cd#"><!--- 工程コード --->
		<cfinvokeargument name="function_nm" value="#form.function_nm#"><!--- 機能名 --->
		<cfinvokeargument name="exp_start_dt" value="#form.exp_start_dt#"><!--- 開始予定日 --->
		<cfinvokeargument name="exp_end_dt" value="#form.exp_end_dt#"><!--- 終了予定日 --->
		<cfinvokeargument name="act_start_dt" value="#form.act_start_dt#"><!--- 開始実績日 --->
		<cfinvokeargument name="act_end_dt" value="#form.act_end_dt#"><!--- 開始終了日 --->
		<cfinvokeargument name="emp_cd" value="#form.emp_cd#"><!--- 担当コード --->
		<cfinvokeargument name="status_cd" value="#form.status_cd#"><!--- 状況コード --->
		<cfinvokeargument name="notes" value="#form.notes#"><!--- 備考 --->
	</cfinvoke>
	
	<!--- 処理名 --->
	<cfset Variables.funcNm = "登録">

</cfif>
<cfsetting enablecfoutputonly="false" />
<html>
<head>
	<title>PJ<cfoutput>#Variables.funcNm#</cfoutput>完了</title>
	<link rel="stylesheet" href="./common/default.css" type="text/css">
	<script type="text/javascript" src="./common/common.js"></script>
	<cfinclude template="./common/meta.cfm">
</head>
<body>
<cfinclude template="./common/header.cfm">
<br />
<br />
<br />

<div align="center">
<cfoutput>#Variables.funcNm#</cfoutput>完了しました。
<br /><br /><br /><br />
<form name="frm1">
<input type="button" value="工程一覧へ戻る" class="btn01" onClick="location.href='processmng01.cfm?project_cd=<cfoutput>#url.project_cd#</cfoutput>'">
<input type="button" value="TOPへ戻る" class="btn01" onClick="submitFrm('index.cfm')">

</form>
</div>
</body>
</html>